<div class="phone-store">
    <div class="additional">
        <div class="b-search">
            <label>Search:
                <input ng-model="query.name">
            </label>
        </div>
        <div class="b-sort">
            <label>
                Sort by:
                <select ng-model="orderProp">
                    <option value="name">Alphabetical</option>
                    <option value="age">Newest</option>
                </select>
            </label>
        </div>
    </div>
    <p>Total number of phones: {{phones.length}}</p>
    <ul class="phones-list">
        <li class="item thumbnail phone-listing" ng-repeat="phone in phones | filter:query | orderBy:orderProp">
            <a href="#/phones/{{phone.id}}" class="thumb"><img src="{{phone.imageUrl}}" class="image"></a>
            <a href="#/phones/{{phone.id}}"><span class="name">{{phone.name}}</span></a>
            <p class="description">{{phone.snippet}}</p>
        </li>
    </ul>
</div>